=== debian/changelog ===
libindi (0.9.6-0ubuntu1) raring; urgency=low

  * New upstream release
  * New shared libraries libindimain and libindidriver
    - Binary packages libindimain0b and libindidriver0b
    - Shared dev package in libindi-dev
    - Update abi.diff to ensure the library versions are set correctly
  * Reintroduce symbol files as the source now builds two C and one CPP
    shared library
    - libindi0b.symbols (C)
    - libindimain0b.symbols (C)
    - libindidriver0b.symbols (CPP) - use pkg-kde-tools' symbol helpers to
      update

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 21 Nov 2012 22:59:21 +0100
