=== debian/control ===
Source: libindi
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 cmake (>= 2.4.7),
 libcfitsio3-dev,
 libfli-dev,
 libnova-dev (>= 0.14.0),
 libusb-dev,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.indilib.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git

Package: libindi0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Suggests: indi-bin (>= ${source:Version})
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindimain0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- main library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindidriver0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- driver library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
 libindidriver0b (= ${binary:Version}), ${misc:Depends},
 libusb-dev, libcfitsio3-dev
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

Package: indi-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
 libindidriver0b (= ${binary:Version}), ${misc:Depends}
Suggests: indi-bin (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Instrument-Neutral Device Interface library -- debug symbols
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the debug symbols for the INDI library and all the
 utilities, useful to investigate problems in INDI.
