## libindi 0.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(INDI_SOVERSION "0")
 set(CMAKE_INDI_VERSION_MAJOR 0)
 set(CMAKE_INDI_VERSION_MINOR 9)
-set(CMAKE_INDI_VERSION_RELEASE 6)
+set(CMAKE_INDI_VERSION_RELEASE 7)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
 
 ##################  Paths  ################################
@@ -13,7 +13,6 @@
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
 set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
-set(UDEVRULES_INSTALL_DIR "/etc/udev/rules.d")
 
 IF(APPLE)
 set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
@@ -25,6 +24,7 @@
 ## the following are directories where stuff will be installed to
 set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
 set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")
+set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
 
 ##################  Includes  ################################
 Include (CheckCXXSourceCompiles)
@@ -36,6 +36,7 @@
 FIND_PACKAGE(ZLIB REQUIRED)
 FIND_PACKAGE(USB REQUIRED)
 FIND_PACKAGE(CFITSIO REQUIRED)
+FIND_PACKAGE(Nova REQUIRED)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
   message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
@@ -44,7 +45,6 @@
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
-macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
 macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")
 
@@ -61,15 +61,14 @@
 include_directories( ${CMAKE_CURRENT_BINARY_DIR})
 include_directories( ${CMAKE_SOURCE_DIR})
 include_directories( ${CMAKE_SOURCE_DIR}/libs)
+include_directories( ${CMAKE_SOURCE_DIR}/libs/indibase)
 include_directories( ${CMAKE_SOURCE_DIR}/libs/webcam)
 
 if (CFITSIO_FOUND)
   include_directories(${CFITSIO_INCLUDE_DIR})
 endif (CFITSIO_FOUND)
 
-if (NOVA_FOUND)
-    include_directories(${NOVA_INCLUDE_DIR})
-endif (NOVA_FOUND)
+include_directories(${NOVA_INCLUDE_DIR})
 
 set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )
 
@@ -109,25 +108,18 @@
         ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indiguiderinterface.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterinterface.cpp
-
-
-
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indilogger.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indicontroller.cpp
     )
-
 
 ######################################
 ########### INDI SERVER ##############
 ######################################
-
 set(indiserver_SRCS indiserver.c fq.c)
 
 add_executable(indiserver ${indiserver_SRCS} ${liblilxml_SRCS})
 
-target_link_libraries(indiserver pthread)
-
-if (NOVA_FOUND)
-  target_link_libraries(indiserver ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+target_link_libraries(indiserver ${NOVA_LIBRARIES} pthread)
 
 install(TARGETS indiserver RUNTIME DESTINATION bin)
 
@@ -137,11 +129,8 @@
 # Mostly used by generic clients                #
 #################################################
 add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
-target_link_libraries(indi m z)
-
-if (NOVA_FOUND)
-target_link_libraries(indi ${NOVA_LIBRARIES})
-endif(NOVA_FOUND)
+target_link_libraries(indi ${NOVA_LIBRARIES} m z)
+
 if (CFITSIO_FOUND)
 target_link_libraries(indi ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
@@ -154,9 +143,9 @@
 # To link with main() for 3rd party legacy drivers#
 ###################################################
 add_library(indimain SHARED ${indimain_SRCS} ${libindicom_SRCS} ${liblilxml_SRCS})
-if (NOVA_FOUND)
+
 target_link_libraries(indimain ${NOVA_LIBRARIES})
-endif(NOVA_FOUND)
+
 if (CFITSIO_FOUND)
 target_link_libraries(indimain ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
@@ -169,10 +158,7 @@
 # To link with main() and indibase classes  ######
 ##################################################
 add_library(indidriver SHARED ${libindicom_SRCS} ${liblilxml_SRCS} ${indimain_SRCS} ${indidriver_SRCS})
-target_link_libraries(indidriver ${LIBUSB_LIBRARIES})
-if (NOVA_FOUND)
-target_link_libraries(indidriver ${NOVA_LIBRARIES})
-endif(NOVA_FOUND)
+target_link_libraries(indidriver ${LIBUSB_LIBRARIES} ${NOVA_LIBRARIES})
 if (CFITSIO_FOUND)
 target_link_libraries(indidriver ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
@@ -200,9 +186,7 @@
 
 add_executable(indi_lx200basic ${lx200basic_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
 
-if (NOVA_FOUND)
-  target_link_libraries(indi_lx200basic ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+target_link_libraries(indi_lx200basic ${NOVA_LIBRARIES} ${NOVA_LIBRARIES})
 
 install(TARGETS indi_lx200basic RUNTIME DESTINATION bin )
 
@@ -216,54 +200,60 @@
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200_16.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200gps.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp 
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)
-
-add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_lx200generic  m )
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_lx200generic ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp)
+
+add_executable(indi_lx200generic ${lx200generic_SRCS})
+
+target_link_libraries(indi_lx200generic indidriver ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )
 
 file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
-"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
+"exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
 ")
 set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)
 #################################################################################
 
+########### LX200 Generic Legacy ###########
+set(lx200genericlegacy_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200genericlegacy.cpp
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)
+
+add_executable(indi_lx200genericlegacy ${lx200genericlegacy_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_lx200genericlegacy ${NOVA_LIBRARIES} m )
+
+install(TARGETS indi_lx200genericlegacy RUNTIME DESTINATION bin )
+
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200genericlegacy_symlink.cmake
+"exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200genericlegacy \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200genericlegacy \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
+")
+set_target_properties(indi_lx200genericlegacy PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200genericlegacy_symlink.cmake)
+#################################################################################
+
 ########### Celestron GPS ############
 set(celestrongps_SRCS
    ${indimain_SRCS}
    ${CMAKE_SOURCE_DIR}/drivers/telescope/celestronprotocol.c
    ${CMAKE_SOURCE_DIR}/drivers/telescope/celestrongps.cpp )
 
-add_executable(indi_celestron_gps ${celestrongps_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_celestron_gps m )
-
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+add_executable(indi_celestron_gps ${celestrongps_SRCS})
+
+target_link_libraries(indi_celestron_gps indidriver ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_celestron_gps RUNTIME DESTINATION bin )
 
 #################################################################################
 
 ########### Takahashi Temma ##########
-if (NOVA_FOUND)
-
 set(temma_SRCS
    ${indimain_SRCS}
    ${CMAKE_SOURCE_DIR}/drivers/telescope/temmadriver.c )
@@ -273,8 +263,6 @@
 target_link_libraries(indi_temma  ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_temma RUNTIME DESTINATION bin )
-
-endif (NOVA_FOUND)
 #################################################################################
 
 ########### Sky Commander #############
@@ -285,21 +273,7 @@
 
 add_executable(indi_skycommander ${skycommander_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
 
-target_link_libraries(indi_skycommander  m )
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_skycommander ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+target_link_libraries(indi_skycommander  ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_skycommander  RUNTIME DESTINATION bin )
 
-#################################################################################
-
-########### Intelliscope ###############
-set(intelliscope_SRCS
-   ${indimain_SRCS}
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/intelliscope.c )
-
-add_executable(indi_intelliscope ${intelliscope_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
