=== debian/changelog ===
libindi (0.9.7-0ubuntu4) trusty; urgency=medium

  * Fix another build failure on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Apr 2014 19:15:29 +0200

libindi (0.9.7-0ubuntu3) trusty; urgency=medium

  * Fix build failure on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 15:04:13 +0100

libindi (0.9.7-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Bump soname for missing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 13:28:34 +0000
