=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
 
-Package: libindi0b
+Package: libindi0c
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -33,7 +33,7 @@
  .
  This package contains the shared library.
 
-Package: libindimain0b
+Package: libindimain0c
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -49,7 +49,7 @@
  .
  This package contains the shared library.
 
-Package: libindidriver0b
+Package: libindidriver0c
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -68,8 +68,8 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
- libindidriver0b (= ${binary:Version}), ${misc:Depends},
+Depends: libindi0c (= ${binary:Version}), libindimain0c (= ${binary:Version}),
+ libindidriver0c (= ${binary:Version}), ${misc:Depends},
  libusb-dev, libcfitsio3-dev
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
@@ -111,8 +111,8 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
- libindidriver0b (= ${binary:Version}), ${misc:Depends}
+Depends: libindi0c (= ${binary:Version}), libindimain0c (= ${binary:Version}),
+ libindidriver0c (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Instrument-Neutral Device Interface library -- debug symbols
